Security Enhanced Linux Reference Policy

# Layer: services

## Module: ntp

Interfaces

### Description:

Network time protocol daemon

### Interfaces:

ntp_admin( domain , role )

##### Summary

All of the rules required to administrate an ntp environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the ntp domain.

ntp_domtrans( domain )

##### Summary

Execute ntp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ntp_domtrans_ntpdate( domain )

##### Summary

Execute ntp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

ntp_stub( domain )

##### Summary

NTP stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ntpd_rw_shm( domain )

##### Summary

Read and write ntpd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return